Subject: bug#17746: 24.4.50; "byte-code: `recenter'ing a window that does not display current-buffer." when composing a message

From: David Griffiths <[email-masked]>
Date: Wed, 11 Jun 2014 16:09:16 +0100

Here’s the stack trace after setting debug-on-error true and creating a
message with compose-mail:

Debugger entered--Lisp error: (error "`recenter'ing a window that does not
display current-buffer.")
  recenter((4))
  org-overview()
  org-set-startup-visibility()
  org-mode()
  set-buffer-major-mode(#<buffer *unsent mail*<2>>)
  window-normalize-buffer-to-switch-to("*unsent mail*<2>")
  pop-to-buffer("*unsent mail*<2>" (display-buffer-same-window
(inhibit-same-window)) nil)
  pop-to-buffer-same-window("*unsent mail*<2>")
  message-pop-to-buffer("*unsent mail*<2>" nil)
  message-mail(nil nil nil nil nil nil nil nil)
  compose-mail(nil nil nil nil)
  funcall-interactively(compose-mail nil nil nil nil)
  call-interactively(compose-mail nil nil)
  command-execute(compose-mail)

I have org-mode as my default major-mode which, looking at the stack trace,
may be significant.

DG

On Tue, Jun 10, 2014 at 6:40 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: David Griffiths <[email-masked]>
> > Date: Tue, 10 Jun 2014 10:42:13 +0100
> >
> > When I try to compose an email, either directly or by pressing 'm' in
> > Gnus, I get the message:
> >
> > `recenter'ing a window that does not display current-buffer.
>
> Set debug-on-error to t and show us a backtrace, please.
>
> Thanks.
>